import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
  'https://gist.githubusercontent.com/',
  'happymail6/', // User
  'cd134b642115a7bff663865b0b0bbeb2/', // Id of the Gist
  'raw/b973000ac5b23b8f6ac95729a789a7d30c68aa04/', // commit
  'MCU.csv', // File name
].join('');
const parseRow = (d) => {
  d.IMDBrating = +d.IMDBrating;
  d.Phase = +d.Phase;
  d.Metascore = +d.Metascore;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const xValue = (d) => d.IMDBrating;
const yValue = (d) => d.petal_width;
const rxValue = (d) => d.sepal_length;
const speciesValue = (d) => d.species;
const colorValue = d => d.species;
const colorLabel = 'Species';

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.IMDBrating)
    .yValue((d) => d.Metascore)
    .margin({
      top: 80,
      right: 90,
      bottom: 70,
      left: 100,
    })
    .radius(5);

  svg.call(plot);

  const columns = [
    'IMDBrating',
    'Phase',
    'Metascore'
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    if(i==1)
      svg
      .text('IMDBrating');
    i++;
  }, 2000);
};
main();



